<template>
	<div class="el-article">
		<article class="article-body">
			<h1>{{ title }}</h1>
			<br /><br />
			<div v-html="articleBody" class="article-text"></div>
		</article>
		<mi-footer></mi-footer>
		<!-- Podría ser un botón más precioso con un icono guayu pero son las 3am-->
		<!-- Así que he decidido hacer el botón más horrible y hortera posible-->
		<!-- Es horrible hasta para haber querido hacerlo horrible queriendo -->
		<button @click.stop="onClose">X</button>
	</div>
</template>

<script>
	import MiFooter from "./MiFooter";
	export default {
		components: {
			MiFooter
		},
		props: {
			article: {
				default: false
			}
		},
		computed: {
			title() {
				return this.article.title;
			},
			articleBody() {
				return this.article.text;
			}
		},
		methods: {
			onClose() {
				this.$emit("close");
			}
		}
	};
</script>

<style lang="scss">
	.el-article {
		display: flex;
		flex-direction: column;
		background-color: #fff;
		align-items: center;

		.article-body {
			max-width: 700px;
			flex: 1;
			padding: 32px;

			h1 {
				font-size: 3.5em;
			}

			.article-text {
				p {
					font-size: 1.2em;
					white-space: pre-line;
					text-align: justify;
				}
			}
		}

		button {
			position: absolute;
			right: 16px;
			font-size: 3em;
			color: red;
			padding: 32px 48px;
		}
	}
</style>